import { select, csv, scaleLinear, max} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const xScale = scaleLinear()
  	.domain([0, max(data, d =>d.population)]);
  console.log(xScale.domain)
  
	svg.selectAll('rect').data('data')
  	.enter().append('rect')
			.attr('width',300)
  		.attr('height',300)
};

csv('data.cvs').then(data => {
	data.forEach(d => 
               {data.population = +data.population;});
	render(data);
});